Loading...
Searching...
No Matches
EST_FVector Class Reference

`#include <include/EST_FMatrix.h>`

Inheritance diagram for EST_FVector:
[legend]
Collaboration diagram for EST_FVector:
[legend]

## Public Member Functions

| EST_FVector (int n)
| Size constructor.
| EST_FVector (const EST_FVector &a)
| Copy constructor.
| EST_FVector ()
| Default constructor.
EST_FVector & | operator*= (const EST_FVector &s)
| elementwise multiply
EST_FVector & | operator+= (const EST_FVector &s)
| elementwise add
EST_FVector & | operator*= (const float f)
| elementwise multiply by scalar
EST_FVector & | operator/= (const float f)
| elementwise divide by scalar
EST_write_status | est_save (const EST_String &filename, const EST_String &type)
EST_write_status | save (const EST_String &filename, const EST_String &type)
| save vector to file filename.
EST_read_status | load (const EST_String &filename)
| load vector from file filename.
EST_read_status | est_load (const EST_String &filename)
| Load from file in est format (binary/ascii defined in file itself).
Public Member Functions inherited from EST_TSimpleVector< float >
| EST_TSimpleVector ()
| default constructor
void | resize (int n, int set=1)
| resize vector
EST_TSimpleVector & | operator= (const EST_TSimpleVector< float > &s)
| assignment operator
void | copy_section (float *dest, int offset=0, int num=-1) const
void | set_section (const float *src, int offset=0, int num=-1)
void | zero (void)
| Fill entire array with 0 bits.
Public Member Functions inherited from EST_TVector< float >
INLINE unsigned int | vcell_pos (unsigned int c, unsigned int cs) const
| The memory access rule, in one place for easy reference.
INLINE unsigned int | vcell_pos_1 (unsigned int c) const
INLINE const float & | fast_a_v (int c) const
| quick method for returning (x[n])
INLINE const float & | fast_a_1 (int c) const
void | set_values (const float *data, int step, int start_c, int num_c)
| Get and set values from array.
void | get_values (float *data, int step, int start_c, int num_c) const
void | copy (const EST_TVector< float > &a)
| private copy function, called from all other copying functions.
void | copy_data (const EST_TVector< float > &a)
| just copy data, no resizing, no size check.
void | just_resize (int new_cols, float **old_vals)
| resize the memory and reset the bounds, but don't set values.
void | default_vals ()
| sets data and length to default values (0 in both cases).
| EST_TVector ()
| default constructor
| ~EST_TVector ()
| destructor.
void | resize (int n, int set=1)
const float * | memory () const
INLINE int | num_columns () const
| number of items in vector.
INLINE int | length () const
| number of items in vector.
INLINE int | n () const
| number of items in vector.
INLINE const float & | a_no_check (int n) const
| read-only const access operator: without bounds checking
INLINE const float & | a_no_check_1 (int n) const
| read-only const access operator: without bounds checking
const float & | a_check (int n) const
| read-only const access operator: with bounds checking
const float & | a (int n) const
const float & | operator() (int n) const
| read-only const access operator: return reference to nth member
float & | operator[] (int n)
| read/write non const access operator: return reference to nth member
void | set_memory (float *buffer, int offset, int columns, int free_when_destroyed=0)
EST_TVector & | operator= (const EST_TVector &s)
| assignment operator
void | fill (const float &v)
| Fill entire array will value <parameter>v</parameter>.
void | empty ()
| Fill vector with default value.
int | operator== (const EST_TVector &v) const
| is true if vectors are equal size and all elements are equal.
int | operator!= (const EST_TVector &v) const
| is true if vectors are not equal size or a single elements isn't equal.
void | copy_section (float *dest, int offset=0, int num=-1) const
| Copy data in and out. Subclassed by SimpleVector for speed.
void | set_section (const float *src, int offset=0, int num=-1)
void | sub_vector (EST_TVector< float > &sv, int start_c=0, int len=-1)
| Create a sub vector.
void | integrity () const

## Additional Inherited Members

Public Attributes inherited from EST_TVector< float >
float * | p_memory
unsigned int | p_num_columns
| Visible shape.
unsigned int | p_offset
| How to access the memory.
unsigned int | p_column_step
bool | p_sub_matrix
Static Public Attributes inherited from EST_TVector< float >
static const float * | def_val
| default value, used for filling matrix after resizing
static float * | error_return

## Detailed Description

A vector class for floating point numbers. {\tt EST_FVector x} should be used instead of {\tt float *x} wherever possible.

Definition at line 114 of file EST_FMatrix.h.

## Constructor & Destructor Documentation

## EST_FVector() [1/3]

EST_FVector::EST_FVector | ( | int | n | ) |

inline

Size constructor.

Definition at line 117 of file EST_FMatrix.h.

## EST_FVector() [2/3]

EST_FVector::EST_FVector | ( | const EST_FVector & | a | ) |

inline

Copy constructor.

Definition at line 119 of file EST_FMatrix.h.

## EST_FVector() [3/3]

EST_FVector::EST_FVector | ( |  | ) |

inline

Default constructor.

Definition at line 121 of file EST_FMatrix.h.

## Member Function Documentation

## operator*=() [1/2]

EST_FVector & EST_FVector::operator*= | ( | const EST_FVector & | s | ) |

elementwise multiply

Definition at line 584 of file EST_FMatrix.cc.

## operator+=()

EST_FVector & EST_FVector::operator+= | ( | const EST_FVector & | s | ) |

elementwise add

Definition at line 567 of file EST_FMatrix.cc.

## operator*=() [2/2]

EST_FVector & EST_FVector::operator*= | ( | const float | f | ) |

elementwise multiply by scalar

Definition at line 598 of file EST_FMatrix.cc.

## operator/=()

EST_FVector & EST_FVector::operator/= | ( | const float | f | ) |

elementwise divide by scalar

Definition at line 607 of file EST_FMatrix.cc.

## est_save()

EST_write_status EST_FVector::est_save | ( | const EST_String & | filename,
|  | const EST_String & | type )

Definition at line 867 of file EST_FMatrix.cc.

## save()

EST_write_status EST_FVector::save | ( | const EST_String & | filename,
|  | const EST_String & | type )

save vector to file filename.

Definition at line 833 of file EST_FMatrix.cc.

## load()

EST_read_status EST_FVector::load | ( | const EST_String & | filename | ) |

load vector from file filename.

Definition at line 681 of file EST_FMatrix.cc.

## est_load()

EST_read_status EST_FVector::est_load | ( | const EST_String & | filename | ) |

Load from file in est format (binary/ascii defined in file itself).

Definition at line 617 of file EST_FMatrix.cc.

The documentation for this class was generated from the following files:

- include/EST_FMatrix.h
- base_class/EST_FMatrix.cc